﻿@using LAP.DomainModels.Entities.Adviser
@{
    var prospectAppoinmentStages = Html.GetEnumSelectList<ProspectAppointmentStageEnum>().Where(m => Convert.ToInt32(m.Value) <= 5);
    var appointmentStatuses = Html.GetEnumSelectList<AppointmentStatusEnum>().Where(m => Convert.ToInt32(m.Value) > 0);
    var startDateTime = Model != null && Model.StartDateTime.HasValue ? Model.StartDateTime.Value.ToString("MM/dd/yyyy HH:mm") : null;
    var endDateTime = Model != null && Model.EndDateTime.HasValue ? Model.EndDateTime.Value.ToString("MM/dd/yyyy HH:mm") : null;
}
@model ProspectAppointment
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id > 0 ? "Edit" : "Add") Prospect Appointment</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form action="adviser/dashboard/saveprospectappointment" class="form fv-plugins-bootstrap fv-plugins-framework" id="AddProspect_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="SaveEventComplete">
            <div class="modal-body">
                <input type="hidden" asp-for="Id" />
                <input type="hidden" asp-for="Guid" />
                <input type="hidden" asp-for="LeadId" />
                <input type="hidden" asp-for="FallOut" />
                <input type="hidden" name="confirmed" id="confirmed" />
                <input type="hidden" id="startDateTime" value="@startDateTime" />
                <input type="hidden" id="endDateTime" value="@endDateTime" />
                <div id="name-container">
                    <div class="row">
                        <div class="col-xl-6">
                            <div class="form-group @(Model?.Id > 0 ?"disabled-div":"")">
                                <label asp-for="Lead.Email"></label>
                                <input asp-for="Lead.Email" class="form-control form-control-lg @(Model?.Id > 0 ?"disabled":"")">
                                <span asp-validation-for="Lead.Email" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group @(Model?.Id > 0 ?"disabled-div":"")">
                                <label asp-for="Stage"></label>
                                <select class="form-control form-control-lg @(Model?.Id > 0 ?"disabled":"")" asp-for="Stage" asp-items="prospectAppoinmentStages">
                                </select>
                                <span asp-validation-for="Stage" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="Lead.FirstName"></label>
                                <input asp-for="Lead.FirstName" class="form-control form-control-lg capitalize">
                                <span asp-validation-for="Lead.FirstName" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="Lead.MiddleName"></label>
                                <input asp-for="Lead.MiddleName" class="form-control form-control-lg capitalize">
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="Lead.LastName"></label>
                                <input asp-for="Lead.LastName" class="form-control form-control-lg capitalize">
                                <span asp-validation-for="Lead.LastName" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="appoinment-container">
                    <div class="row">
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="Date"></label>
                                <div class="input-group date datepicker-control">
                                    <input type="text" asp-for="Date" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <i class="far fa-calendar-alt"></i>
                                        </span>
                                    </div>
                                </div>
                                <span asp-validation-for="Date" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="StartTime"></label>
                                <div class="input-group time" id="StartTimepicker" data-target-input="nearest">
                                    <input asp-for="StartTime" type="text" class="form-control form-control-lg datetimepicker-input" data-target="#StartTimepicker" data-toggle="datetimepicker" placeholder="hh:mm tt" readonly />
                                    <div class="input-group-append" data-target="#StartTimepicker" data-toggle="datetimepicker">
                                        <span class="input-group-text">
                                            <i class="far fa-clock"></i>
                                        </span>
                                    </div>
                                </div>
                                <span asp-validation-for="StartTime" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="EndTime"></label>
                                <div class="input-group time" id="EndTimepicker" data-target-input="nearest">
                                    <input asp-for="EndTime" type="text" class="form-control form-control-lg datetimepicker-input" data-target="#EndTimepicker" data-toggle="datetimepicker" placeholder="hh:mm tt" readonly />
                                    <div class="input-group-append" data-target="#EndTimepicker" data-toggle="datetimepicker">
                                        <span class="input-group-text">
                                            <i class="far fa-clock"></i>
                                        </span>
                                    </div>
                                </div>
                                <span asp-validation-for="EndTime" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="Subject"></label>
                                <input asp-for="Subject" class="form-control form-control-lg">
                                <span asp-validation-for="Subject" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="Location"></label>
                                <input asp-for="Location" class="form-control form-control-lg" type="text">
                                <span asp-validation-for="Location" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-xl-4">
                            <div class="form-group">
                                <label asp-for="Status"></label>
                                <select class="form-control form-control-lg" asp-for="Status" asp-items="appointmentStatuses">
                                </select>
                                <span asp-validation-for="Status" class="text-danger"></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold" id="btn_submit_activity">
                    <i class="la la-save"></i> Save
                </button>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript">
    $("#StartTimepicker").on("change.datetimepicker", function (e) {
        $("#EndTime").val("");
        var startDate = $("#StartDate").val();
        var startTime = $("#StartTime").val();
        if (startTime.length) {
            var startDateTime = new Date(`${startDate} ${startTime}`);
            $("#startDateTime").val(moment(startDateTime).format('MM/DD/YYYY HH:mm'));
        }
    });
    $("#EndTimepicker").on("change.datetimepicker", function (e) {
        var endDate = $("#EndDate").val();
        var endTime = $("#EndTime").val();
        if (endTime.length) {
            var endDateTime = new Date(`${endDate} ${endTime}`);
            $("#endDateTime").val(moment(endDateTime).format('MM/DD/YYYY HH:mm'));
        }
    });
</script>